Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
scroll
/
batches
List batches.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/scroll/batches \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "commitment_transaction": {
        "block_number": 123,
        "hash": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "confirmation_transaction": {
        "block_number": 123,
        "hash": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "data_availability": {},
      "end_block_number": 123,
      "number": 123,
      "start_block_number": 123,
      "transactions_count": 123
    }
  ],
  "next_page_params": {
    "number": 502655
  }
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
number
integer

Number for paging

Response

List of batches.

items
Scroll.Batch · object[]
required
next_page_params
object
required
Example:
{ "number": 502655 }